@if (componentData$ | async; as componentData) {
  <div class="full-width full-height flex-column m-t-10">
    <div class="flex-row">
      <span class="admin-workspace-secondary-title">{{
        'sqtm-core.generic.label.imports' | translate
      }}</span>

      <div class="admin-view-panel-buttons m-r-30">
        <i
          nz-icon
          nzType="sqtm-core-generic:refresh"
          nzTheme="outline"
          class="current-workspace-button action-icon-size m-t-5"
          nz-tooltip
          [nzTooltipTitle]="'sqtm-core.generic.label.refresh' | translate"
          [attr.data-test-toolbar-button-id]="'refresh-imports'"
          (click)="refresh(componentData.project.id)"
        >
        </i>
        @if (isAdminOrImportManager(componentData.project.permissions)) {
          <a
            class="m-t-5"
            nz-dropdown
            [attr.data-test-button-id]="'add-import'"
            [nzDropdownMenu]="addImportMenu"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:add"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
            >
            </i>
          </a>
          <nz-dropdown-menu #addImportMenu="nzDropdownMenu">
            <ul nz-menu [attr.data-test-menu-id]="'add-import-menu'">
              @if (true) {
                <li
                  nz-menu-item
                  [attr.data-test-menu-item-id]="'import-from-pivot-format'"
                >
                  <sqtm-core-attachment-file-selector
                    [multiple]="false"
                    (uploadFilesEvent)="
                      openImportFromPivotFormatDialog(
                        $event,
                        componentData.project.id
                      )
                    "
                    [restrictionFiles]="'application/zip'"
                  >
                    {{
                      'sqtm-core.administration-workspace.views.project.import.import-from-pivot-format'
                        | translate
                    }}
                  </sqtm-core-attachment-file-selector>
                </li>
              }
              <li
                nz-menu-item
                [attr.data-test-menu-item-id]="'import-from-xray-format'"
                (click)="openImportFromXrayDialog(componentData.project.id)"
              >
                {{
                  'sqtm-core.administration-workspace.views.project.import.import-from-xray'
                    | translate
                }}
              </li>
            </ul>
          </nz-dropdown-menu>

          <sqtm-core-toggle-icon
            class="m-t-5"
            [active]="gridService.hasSelectedRows$ | async"
            (clickedInActiveMode)="deleteImports()"
            [attr.data-test-button-id]="'delete-imports'"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:delete"
              nzTheme="outline"
              class="action-icon-size"
              nz-tooltip
              nzTooltipPlacement="topRight"
              [nzTooltipTitle]="'sqtm-core.generic.label.delete' | translate"
            >
            </i>
          </sqtm-core-toggle-icon>
        }
      </div>
    </div>
    <div class="m-r-20 m-b-10 p-10 full-height sqtm-large-grid-container">
      <sqtm-core-grid></sqtm-core-grid>`
    </div>
  </div>
}
